Skip to main content
GET
/
v1
/
contacts
List contacts
curl --request GET \
  --url https://api.conduit.ai/v1/contacts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.conduit.ai/v1/contacts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.conduit.ai/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "ph77c0dy0mgdpzmqz6tesry8w184002s",
      "workspace_id": "j57demo8f8x7c9v0n2q4r6t8y1u3i5o",
      "first_name": "Jane",
      "last_name": "Doe",
      "image_url": null,
      "type": null,
      "inbox_type_id": "guest",
      "archived": false,
      "ai_paused": false,
      "last_channel": "unthreaded_email",
      "last_message_at": "2026-04-03T03:14:15.000Z",
      "last_message_preview": "Can I check in early?",
      "created_at": "2026-04-01T17:22:10.000Z",
      "updated_at": "2026-04-03T03:14:15.000Z"
    }
  ],
  "next_cursor": "page-token",
  "has_more": true
}
{
"error": "Invalid workspace id"
}
{
"error": "Invalid workspace id"
}
{
"error": "Invalid workspace id"
}
{
"error": "Invalid workspace id"
}

Authorizations

Authorization
string
header
required

Conduit API token. Use Authorization: Bearer <token>. Read/write endpoints require a token with write access.

Query Parameters

workspace_id
string
required

Workspace to query.

Example:

"j57demo8f8x7c9v0n2q4r6t8y1u3i5o"

limit
integer
Required range: 1 <= x <= 100
cursor
string
archived
enum<string>
Available options:
true,
false
sort_by
enum<string>
Available options:
last_message_at,
follow_up_at
order
enum<string>
Available options:
asc,
desc
inbox_type_id
string

Response

Contacts

Cursor-paginated contacts response.

data
object[]
required
next_cursor
string | null
required
has_more
boolean
required